/*--------------------------------------------------------------
## 共通CSS
--------------------------------------------------------------*/
/*@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@100..900&display=swap');
* {
  font-family: "Noto Sans JP", sans-serif;
  font-optical-sizing: auto;
  font-style: normal;
}*/

@import url('https://fonts.googleapis.com/css2?family=LINE+Seed+JP:wght@400;700&display=swap');
* {
  font-family: "LINE Seed JP", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.wrapper{
	max-width: 1120px;
	padding: 0 10px;
	margin: 0 auto;
}
a,a:visited{
	text-decoration: none;
	transition: all 0.6s ease;
}
table{
	border-top: 1px solid #d4d4d4;
	border-left: 1px solid #d4d4d4;
}
table td,table th{
	border-bottom: 1px solid #d4d4d4;
	border-right: 1px solid #d4d4d4;
	padding: 15px;
}
table th{
	background: #f7f7f7;
}
.post-date{
	font-size: 90%;
	display: block;
}
/*スマホ・PC切り替え*/
.sp{
	display: block;
}
.pc{
	display: none;
}
@media screen and (max-width: 768px) {	
  .wrapper{
    padding: 0 5%;
  }
}
@media screen and (min-width: 769px) {
	.sp{
		display: none;
	}
	.pc{
		display: block;
	}
}

/*--------------------------------------------------------------
>>> レイアウト
--------------------------------------------------------------*/
@media screen and (min-width: 769px) {
	.wrapper #primary{
		float: right;
		width: 58%;
		width: calc(100% - 320px);
	}
	.wrapper #secondary{
		float: left;
		width: 280px;
		max-width: 40%;
	}

}

/*--------------------------------------------------------------
>>> ヘッダー:
--------------------------------------------------------------*/
#masthead{
  background: #f7f5f5;
}
#masthead .site-title{
  max-width: 180px;
  margin: 0 auto;
  line-height: 1;
}
#masthead .site-description{
  font-size: 10px;
  width: 100%;
  background: #fff;
  text-align: center;
  border-radius: 5px;
  padding: 5px;
}


#masthead #primary-menu li a{
	font-weight: 800;
	color: #333;
	padding: 10px;
	transition: 0.6s;
}

#masthead #primary-menu li.menu_home a{
	padding-left: 50px;
	background: url("../images/icon_home.svg") no-repeat 10px/26px;
}
#masthead #primary-menu li.menu_text a{
	padding-left: 50px;
	background: url("../images/icon_text.svg") no-repeat 10px/26px;
}
#masthead #primary-menu li.menu_column a{
	padding-left: 50px;
	background: url("../images/icon_column.svg") no-repeat 10px/26px;
}
#masthead #primary-menu li.menu_event a{
	padding-left: 50px;
	background: url("../images/icon_event.svg") no-repeat 10px/26px;
}
#masthead #primary-menu li.menu_community a{
	padding-left: 50px;
	background: url("../images/icon_community.svg") no-repeat 10px/26px;
}

#masthead #primary-menu li.menu_home.current-menu-item a{
	color: #a876d3;
}
#masthead #primary-menu li.menu_text.current-menu-item a{
	color: #ff5148;
}
#masthead #primary-menu li.menu_column.current-menu-item a{
	color: #1ec11e;
}
#masthead #primary-menu li.menu_event.current-menu-item a{
	color: #00bcd4;
}
#masthead #primary-menu li.menu_community.current-menu-item a{
	color: #ff8c00;
}

#masthead .secondary-menu li a{
	font-weight: 400;
	font-size: 12px;
	color: #333;
	padding: 10px;
	padding-left: 38px;
	background: url("../images/icon_beginner.svg") no-repeat 10px/18px;
}
#masthead .secondary-menu li.menu_bell a{
	background: url("../images/icon_bell.svg") no-repeat 10px/18px;
}
#masthead .secondary-menu li.menu_mail a{
	background: url("../images/icon_mail.svg") no-repeat 10px/18px;
}

@media screen and (max-width: 1023px) {
	#masthead{
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 999;
	}
  #masthead .site-title{
    margin: 10px auto;
  }
  #masthead .site-description{
    margin-bottom: 0;
    background: #ff8c00;
    color: #fff;
    border-radius: 0;
  }
  #masthead .site-description br{
    display: none;
  }

	button:focus { outline:0; }
	button.menu-toggle{
		background-color: transparent;
		border: none;
		width: 40px;
		height: 30px;
		position: absolute;
		top: 18px;
		right: 10px;
	}
	button.menu-toggle,
	button.menu-toggle span {
	  display: inline-block;
	  transition: all .4s;
	  box-sizing: border-box;
	}
	button.menu-toggle span {
	  position: absolute;
	  left: 0;
	  width: 100%;
	  height: 4px;
	  background-color: #333;
	  border-radius: 10px;
	}
	button.menu-toggle span:nth-of-type(1) {
	  top: 0;
	}
	button.menu-toggle span:nth-of-type(2) {
	  top: 14px;
	}
	button.menu-toggle span:nth-of-type(3) {
	  top: 28px;
	}
	button.menu-toggle span:nth-of-type(1) {
	  -webkit-animation: menu-bar01 .75s forwards;
	  animation: menu-bar01 .75s forwards;
	}
	
	button.menu-toggle span:nth-of-type(2) {
	  transition: all .25s .25s;
	  opacity: 1;
	}
	button.menu-toggle span:nth-of-type(3) {
	  -webkit-animation: menu-bar02 .75s forwards;
	  animation: menu-bar02 .75s forwards;
	}
	
	#site-navigation.toggled button.menu-toggle span:nth-of-type(1) {
	  -webkit-animation: active-menu-bar01 .75s forwards;
	  animation: active-menu-bar01 .75s forwards;
	}
	#site-navigation.toggled button.menu-toggle span:nth-of-type(2) {
	  opacity: 0;
	}
	#site-navigation.toggled button.menu-toggle span:nth-of-type(3) {
	  -webkit-animation: active-menu-bar03 .75s forwards;
	  animation: active-menu-bar03 .75s forwards;
	}
	
	#primary-menu li,
  #secondary-menu li{
		border-bottom: 1px solid #ccc;
	}
  #primary-menu li .sub-menu{
		border-top: 1px solid #ccc;
  }
  #primary-menu li .sub-menu li:last-child{
    border:none;
  }

	#primary-menu li.current-menu-item>a{
		color: rgba(30,180,224,0.8);
	}
	#primary-menu li.current-menu-item li.current-menu-item>a{
		color: rgba(255,255,255,0.8);
	}
	#primary-menu ul.sub-menu li a{
		padding-left: 50px;
		font-size: 13px;
	}
	#primary-menu ul.sub-menu li a::after {
	  top: 1.5em;
	  left: 30px;
	  width: 8px;
	  height: 1px;
	  background-color: #666;
	}
  #masthead #primary-menu li.menu_user>a{
    padding-left: 50px;
    background: url("../images/icon_user.svg") no-repeat 10px/26px;
  }
  #content{
    padding-top: 120px;
		background: url("../images/bg.svg") center -120px/160%;
  }
}
@-webkit-keyframes menu-bar01 {
  0% {
	-webkit-transform: translateY(20px) rotate(45deg);
  }
  50% {
	-webkit-transform: translateY(20px) rotate(0);
  }
  100% {
	-webkit-transform: translateY(0) rotate(0);
  }
}
@keyframes menu-bar01 {
  0% {
	transform: translateY(20px) rotate(45deg);
  }
  50% {
	transform: translateY(20px) rotate(0);
  }
  100% {
	transform: translateY(0) rotate(0);
  }
}
@-webkit-keyframes menu-bar02 {
  0% {
	-webkit-transform: translateY(-20px) rotate(-45deg);
  }
  50% {
	-webkit-transform: translateY(-20px) rotate(0);
  }
  100% {
	-webkit-transform: translateY(0) rotate(0);
  }
}
@keyframes menu-bar02 {
  0% {
	transform: translateY(-20px) rotate(-45deg);
  }
  50% {
	transform: translateY(-20px) rotate(0);
  }
  100% {
	transform: translateY(0) rotate(0);
  }
}
@-webkit-keyframes active-menu-bar01 {
  0% {
	-webkit-transform: translateY(0) rotate(0);
  }
  50% {
	-webkit-transform: translateY(12px) rotate(0);
  }
  100% {
	-webkit-transform: translateY(12px) rotate(45deg);
  }
}
@keyframes active-menu-bar01 {
  0% {
	transform: translateY(0) rotate(0);
  }
  50% {
	transform: translateY(12px) rotate(0);
  }
  100% {
	transform: translateY(12px) rotate(45deg);
  }
}
@-webkit-keyframes active-menu-bar03 {
  0% {
	-webkit-transform: translateY(0) rotate(0);
  }
  50% {
	-webkit-transform: translateY(-16px) rotate(0);
  }
  100% {
	-webkit-transform: translateY(-16px) rotate(-45deg);
  }
}
@keyframes active-menu-bar03 {
  0% {
	transform: translateY(0) rotate(0);
  }
  50% {
	transform: translateY(-16px) rotate(0);
  }
  100% {
	transform: translateY(-16px) rotate(-45deg);
  }
}

@media screen and (min-width: 1024px) {
	#masthead{
		position: fixed;
		width: 200px;
		top: 0;
		bottom: 0;
		left: 0;
		display: flex;
		align-items: center;
		border-right: 1px solid #ccc;
		z-index: 5;
	}
	.header-wrap{
		width: 100%;
	}
	#content{
		padding: 30px;
		background: url("../images/bg.svg") center -120px/160%;
    min-height: 80vh;
	}
	#content,footer#colophon{
		width: calc(100% - 200px);
		margin-left: auto;
	}
	#masthead #primary-menu li:hover ul{
		top:0;
		left:185px;
		visibility: visible;
		opacity: 1;
	}
	
	#masthead #primary-menu{
		max-width: 1120px;
		margin: 0 auto;
		padding: 15px;
	}
	#masthead .top-navigation{
		padding: 15px;

	}
	#masthead #primary-menu li ul{
		float: none;
		width: 100%;
		-webkit-transition: all .2s ease;
		transition: all .2s ease;
		position: absolute;
		left:180px;
		top:-80px;
		visibility: hidden;
		opacity: 0;
	}
	#masthead #primary-menu li{
		position: relative;
	}
	#masthead #primary-menu li>a{
		font-size: 12px;
	}
	#masthead #primary-menu li ul li{
		width: 100%;
		float: none;
	}
	
	#masthead #primary-menu li ul li a{
		background: #fff;
		border:1px solid #ccc;
		border-left: none;
		border-top: none;
		padding-left: 30px;
		position: relative;
	}
	#masthead #primary-menu li ul li a::before{
		content: "";
		display: block;
		width: 12px;
		height: 12px;
		left: 10px;
		top:50%;
		margin-top: -6px;
		border-radius: 100px;
		position: absolute;
		background: #ff8c00;
	}
	
	#masthead #primary-menu li ul li:first-child a{
		border-top:1px solid #ccc;
	}
	#masthead #primary-menu li.menu_user{
		margin-top: 20px;
	}
	#masthead #primary-menu li.menu_user>a{
		padding-left: 50px;
		padding-right: 25px;
		background: #ff8c00 url("../images/icon_user.svg") no-repeat 5px/28px;
		border-radius: 500px;
		color: #fff;
		text-align: center;
	}
  #masthead .secondary-menu{
    padding: 15px;
  }
}
@media screen and (min-width: 1150px) {
	#masthead{
		width: 300px;
	}
	#masthead .site-description{
		font-size: 14px;
		margin-bottom: 0;
	}
	#content,footer#colophon{
		width: calc(100% - 300px);
	}
	#masthead #primary-menu li ul{
		left:285px;
	}
	#masthead #primary-menu li:hover ul{
		left:285px;
		top:0;
		visibility: visible;
		opacity: 1;
	}
	#masthead #primary-menu li>a{
		font-size: 16px;
	}
	#masthead .secondary-menu li a{
		font-size: 14px;
	}
	#masthead #primary-menu li.menu_user>a{
		background: #ff8c00 url("../images/icon_user.svg") no-repeat 5px/34px;
	}
}

@media screen and (min-width: 1024px) and (max-height: 600px){
  #masthead{
    overflow-y: scroll;
    align-items: start;
  }
}

/*--------------------------------------------------------------
>>> フッター:
--------------------------------------------------------------*/
#page {
      display: flex;
      flex-direction: column;
}
footer {
      margin-top: auto;
}

footer#colophon{
	background: #fff;
	border-top: 1px solid #ccc;
	padding-top: 30px;
	padding-bottom: 10px;
	font-size: 12px;
}
footer#colophon ul{
	padding: 0;
	margin: 0;
	list-style: none;
}
footer#colophon .copy,#footer-menu li a{
	font-size: 12px;
	margin: 0;
	color: #333;
}
footer#colophon li a,footer#colophon li a:visited{
	color: #909090;
}

footer#colophon .widget{
	margin-bottom: 60px;
}
footer .foot-column li a{
	line-height: 1.8;
	padding-left: 30px;
	font-size: 13px;
	position: relative;
}
footer .foot-column li a::after {
	content: "";
	display: block;
    position: absolute;
    top: 0.5em;
    left: 3px;
    width: 8px;
    height: 1px;
    background-color: #666;
}

.site-footer{
	text-align: center;
}
.site-footer .link-list{
	display: flex;
	justify-content: center;
}
.site-footer .link-list p{
	margin: 0;
}
.site-footer .link-list a{
	padding: 15px;
	display: block;
	color: #333;
	text-decoration: underline;
}

@media screen and (max-width: 768px) {	
  .site-footer .link-list{
    display: block;
  }
  .site-footer .link-list a{
    padding: 5px;
  }
}
@media screen and (min-width: 769px) {	
	footer#colophon li a:hover{
		color: rgba(168,172,25,0.8);
	}
	.foot-column{
		float: left;
		width: 25%;
		padding-right: 3%;
	}
	.foot-column:last-child{
		padding-right: 0;
	}
	#footer-menu li{
		display: inline-block;
		padding-right: 20px;
	}

}
